#!/bin/ksh
name=$1
shift
outputdir=$1
pd=`pwd`
cd $outputdir/lib
echo "LIBRARY $name" > $outputdir/lib/$name.def
echo "EXETYPE WINDOWS" >> $outputdir/lib/$name.def
echo "CODE PRELOAD MOVEABLE DISCARDABLE" >> $outputdir/lib/$name.def
echo "DATA PRELOAD MOVEABLE MULTIPLE" >> $outputdir/lib/$name.def
echo " " >> $outputdir/lib/$name.def
echo "EXPORTS " >> $outputdir/lib/$name.def
shift
nm $* | \
  egrep ' T ' | \
  egrep -v ' D | A | B | F | U ' | \
  awk '{print $3}' | \
  sed -e 's/^_//'  \
      -e 's/^/	/' \
      -e '/DllMain@12/d' \
      -e '/^	\([a-zA-Z0-9_]*\)@[0-9]*$/d' \
      >> $outputdir/lib/$name.def

cd $pd
exit 0
